
/*

   (c) 2000 by A Vision of Paradise


   This file is part of the game 'Gamma Patrol'.

   'Gamma Patrol' is SHAREWARE, please look at the files 'README' and
   'LICENCE' for further details.

   The source code is NOT OpenSource, GPL'd or what ever!
   You can use it for educational purposes, but you are not allowed
   to distribute modified or partial version of 'Gamma Patrol'.

*/

/* $Id: level_starfield.h,v 1.1 2000/10/15 02:55:55 pink Exp pink $ */

#ifndef _LEVEL_STARFIELD_H_
#define _LEVEL_STARFIELD_H_

#include "main.h"
#include "level.h"

class level_starfield : public level {
 protected:
  const static int STAR_COUNT = 200;
  const static int STAR_DEPTH = 10;

  Sint32 _last_time;
  struct star { Sint32 x, y, z; };
  struct star _stars[STAR_COUNT];

 public:
  bool setup();
 
  void render_background();
};

#endif

