
/*

   (c) 2000 by A Vision of Paradise


   This file is part of the game 'Gamma Patrol'.

   'Gamma Patrol' is SHAREWARE, please look at the files 'README' and
   'LICENCE' for further details.

   The source code is NOT OpenSource, GPL'd or what ever!
   You can use it for educational purposes, but you are not allowed
   to distribute modified or partial version of 'Gamma Patrol'.

*/

/* $Id: object_expl.h,v 1.1 2000/10/11 20:04:05 pink Exp pink $ */

#ifndef _OBJECT_EXPL_H_
#define _OBJECT_EXPL_H_

#include "object.h"

class object_expl1 : public object {
 protected:
  static Uint16 _image_id;

  struct pix { Sint32 x; Sint32 y; Sint32 xs; Sint32 ys; Uint8 r; Uint8 g; Uint8 b; };
  static const Uint16 _pix_cnt = 48;
  struct pix _pix[_pix_cnt];
  Uint32 _pix_last_time;

 public:
  object_expl1();

  void initialize();
  void move();
  void paint();

  static bool setup();
  static void cleanup();
};

class object_expl2 : public object {
 protected:
  static Uint16 _image_id;

  struct pix { Sint32 x; Sint32 y; Sint32 xs; Sint32 ys; Uint8 r; Uint8 g; Uint8 b; };
  static const Uint16 _pix_cnt = 32;
  struct pix _pix[_pix_cnt];
  Uint32 _pix_last_time;

 public:
  object_expl2();

  void initialize();
  void move();
  void paint();

  static bool setup();
  static void cleanup();
};

class object_expl3 : public object {
 protected:
  static Uint16 _image_id;

  struct pix { Sint32 x; Sint32 y; Sint32 xs; Sint32 ys; Uint8 r; Uint8 g; Uint8 b; };
  static const Uint16 _pix_cnt = 16;
  struct pix _pix[_pix_cnt];
  Uint32 _pix_last_time;

 public:
  object_expl3();

  void initialize();
  void move();
  void paint();

  static bool setup();
  static void cleanup();
};

#endif
