
/*

   (c) 2000 by A Vision of Paradise


   This file is part of the game 'Gamma Patrol'.

   'Gamma Patrol' is SHAREWARE, please look at the files 'README' and
   'LICENCE' for further details.

   The source code is NOT OpenSource, GPL'd or what ever!
   You can use it for educational purposes, but you are not allowed
   to distribute modified or partial version of 'Gamma Patrol'.

*/

/* $Id: object_missile.h,v 1.1 2000/10/11 20:04:05 pink Exp pink $ */

#ifndef _OBJECT_MISSILE_H_
#define _OBJECT_MISSILE_H_

#include "object.h"

class object_missile : public object {
 protected:
  static Uint16 _image_id;

  Sint32 _dir;
  Uint32 _next_smoke;
  Uint32 _start_time;

 public:
  object_missile();

  Uint16 current_frame(part *) const;
  void move();
  void destroy();
  void initialize();

  static object *constructor();
  static bool setup();
  static void cleanup();

  Sint16 dir() const { return(_dir >> 8); }
  void dir(Sint16 d) { _dir = d << 8; }
};

#endif
