
/*

   (c) 2000 by A Vision of Paradise


   This file is part of the game 'Gamma Patrol'.

   'Gamma Patrol' is SHAREWARE, please look at the files 'README' and
   'LICENCE' for further details.

   The source code is NOT OpenSource, GPL'd or what ever!
   You can use it for educational purposes, but you are not allowed
   to distribute modified or partial version of 'Gamma Patrol'.

*/

/* $Id: object_saucer.h,v 1.1 2000/10/11 20:04:05 pink Exp pink $ */

#ifndef _OBJECT_SAUCER_H_
#define _OBJECT_SAUCER_H_

#include "object.h"

class object_saucer : public object {
 protected:
  static Uint16 _image_id;

  void finish_phase(part *);

 public:
  object_saucer();

  void set_modifiers(svector<object_modifier> &);

  void destroy();

  static object *constructor();
  static bool setup();
  static void cleanup();
};

class object_saucer_projectile : public object {
 protected:
  static Uint16 _image_id;

 public:
  object_saucer_projectile();

  void destroy();

  static bool setup();
  static void cleanup();
};

#endif

