
/*

   (c) 2000 by A Vision of Paradise


   This file is part of the game 'Gamma Patrol'.

   'Gamma Patrol' is SHAREWARE, please look at the files 'README' and
   'LICENCE' for further details.

   The source code is NOT OpenSource, GPL'd or what ever!
   You can use it for educational purposes, but you are not allowed
   to distribute modified or partial version of 'Gamma Patrol'.

*/

/* $Id: object_shot.h,v 1.1 2000/10/11 20:04:06 pink Exp pink $ */

#ifndef _OBJECT_SHOT_H_
#define _OBJECT_SHOT_H_

#include "object.h"

#define SHOT_COUNT 2

class object_shot : public object {
 protected:
  static Uint16 _image_id[SHOT_COUNT];

  Uint16 _type;
  Sint32 _dir;

 public:
  object_shot(Uint16);

  Uint16 current_frame(part *) const;
  void initialize();

  static bool setup();
  static void cleanup();
};

#endif
