
/*

   (c) 2000 by A Vision of Paradise


   This file is part of the game 'Gamma Patrol'.

   'Gamma Patrol' is SHAREWARE, please look at the files 'README' and
   'LICENCE' for further details.

   The source code is NOT OpenSource, GPL'd or what ever!
   You can use it for educational purposes, but you are not allowed
   to distribute modified or partial version of 'Gamma Patrol'.

*/

/* $Id: surface.h,v 1.1 2000/10/11 20:04:06 pink Exp pink $ */

#ifndef _SURFACE_VIDEO_H_
#define _SURFACE_VIDEO_H_

#include "surface.h"

class surface_video : public surface {
 protected:

 public:
  surface_video(Uint16, Uint16);
  ~surface_video();

  bool initialize(Uint32);

  void enable_fullscreen(bool);
  bool fullscreen_enabled() const;

  void update();
  void update_flip();
  void update(const rectangle &);
};

#endif
