
/*

   (c) 2000 by A Vision of Paradise


   This file is part of the game 'Gamma Patrol'.

   'Gamma Patrol' is SHAREWARE, please look at the files 'README' and
   'LICENCE' for further details.

   The source code is NOT OpenSource, GPL'd or what ever!
   You can use it for educational purposes, but you are not allowed
   to distribute modified or partial version of 'Gamma Patrol'.

*/

/* $Id: font.h,v 1.1 2000/10/11 20:04:05 pink Exp pink $ */

#ifndef _FONT_H_
#define _FONT_H_

#include "rectangle.h"

class font {
 protected:
  Uint16 _height;
  struct metric { Uint16 x; Uint16 w; Uint16 s; Sint16 k; };
  struct metric metrics[256];

  class surface *_image;

 public:
  font();
  ~font();

  bool load(const char *);
  rectangle get_rect(Uint8) const;

  class surface *image() const { return( _image ); }
  Uint16 width(Uint8 c) const { return( metrics[c].s ); }
  Sint16 kern(Uint8 c) const { return( metrics[c].k ); }
  Uint16 strwidth(const Uint8 *) const;
  Uint16 height() const { return( _height ); }
};

#endif
