
/*

   (c) 2000 by A Vision of Paradise


   This file is part of the game 'Gamma Patrol'.

   'Gamma Patrol' is SHAREWARE, please look at the files 'README' and
   'LICENCE' for further details.

   The source code is NOT OpenSource, GPL'd or what ever!
   You can use it for educational purposes, but you are not allowed
   to distribute modified or partial version of 'Gamma Patrol'.

*/

/* $Id: object_bigsaucer.h,v 1.1 2000/10/11 20:04:05 pink Exp pink $ */

#ifndef _OBJECT_BIGSAUCER_H_
#define _OBJECT_BIGSAUCER_H_

#include "object.h"
#include "object_player.h"

class object_bigsaucer : public object {
 protected:
  static Uint16 _image_id;
  static Sint16 _leg_pos_x[3];
  static Sint16 _leg_pos_y[3];
  static Sint16 _hole_pos_x[3];
  static Sint16 _hole_pos_y[3];

  void finish_phase(part *);

  Uint16 _move_phase;
  Uint16 _leg_phase;
  Sint32 _leg_energy[3];
  Sint16 _attractor_x, _attractor_y;
  Uint32 _next_missiles;
  Uint32 _next_smoke[3];

  Uint32 _signal;

 public:
  object_bigsaucer();

  void set_modifiers(svector<object_modifier> &);
  void initialize();
  void move();

  bool damage(part *, Uint32);

  static object *constructor();
  static bool setup();
  static void cleanup();
};

#endif
