
/*

   (c) 2000 by A Vision of Paradise


   This file is part of the game 'Gamma Patrol'.

   'Gamma Patrol' is SHAREWARE, please look at the files 'README' and
   'LICENCE' for further details.

   The source code is NOT OpenSource, GPL'd or what ever!
   You can use it for educational purposes, but you are not allowed
   to distribute modified or partial version of 'Gamma Patrol'.

*/

/* $Id: object_bonus.h,v 1.1 2000/10/11 20:04:05 pink Exp pink $ */

#ifndef _OBJECT_BONUS_H_
#define _OBJECT_BONUS_H_

#include "object.h"

class object_bonus_energy : public object {
 protected:
  static Uint16 _image_id;
  static Uint16 _snd_id;

 public:
  object_bonus_energy();

  void hit_by(object *);

  static bool setup();
  static void cleanup();
};

class object_bonus_shield : public object {
 protected:
  static Uint16 _image_id;
  static Uint16 _snd_id;

 public:
  object_bonus_shield();

  void hit_by(object *);

  static bool setup();
  static void cleanup();
};

class object_bonus_life : public object {
 protected:
  static Uint16 _image_id;
  static Uint16 _snd_id;

 public:
  object_bonus_life();

  void hit_by(object *);

  static bool setup();
  static void cleanup();
};

class object_bonus_laser : public object {
 protected:
  static Uint16 _image_id;
  static Uint16 _snd_id;

 public:
  object_bonus_laser();

  void hit_by(object *);

  static bool setup();
  static void cleanup();
};

class object_bonus_ball : public object {
 protected:
  static Uint16 _image_id;
  static Uint16 _snd_id;

 public:
  object_bonus_ball();

  void hit_by(object *);

  static bool setup();
  static void cleanup();
};

class object_bonus_seeker : public object {
 protected:
  static Uint16 _image_id;
  static Uint16 _snd_id;

 public:
  object_bonus_seeker();

  void hit_by(object *);

  static bool setup();
  static void cleanup();
};

class object_bonus_plasma : public object {
 protected:
  static Uint16 _image_id;
  static Uint16 _snd_id;

 public:
  object_bonus_plasma();

  void hit_by(object *);

  static bool setup();
  static void cleanup();
};

#endif
